This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 220858 - Xen Guest Crashes on Boot, on Particular Hardware
Xen Guest Crashes on Boot, on Particular Hardware
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-27 21:16 EST by Ken Tanzer
Modified: 2009-12-14 15:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:49:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Guest Machine Screenshot (24.05 KB, image/png)
2006-12-27 21:16 EST, Ken Tanzer
no flags Details

  None (edit)
Description Ken Tanzer 2006-12-27 21:16:54 EST
Description of problem:

Xen guest machine crashes on boot, on specific computer.  Same guest machine
runs fine on a different computer.

Version-Release number of selected component (if applicable):

kernel-xen-2.6.18-1.2868.fc6
xen-3.0.3-0.1.rc3

How reproducible:

Always, on this one particular machine.

Steps to Reproduce:
1.  Start guest machine
2.  Read the crash messages
  
Actual results:
Guest machine crashes

Expected results:
Guest machine runs

Additional info:

We've got a smokin' new server (computer A).  I was able to install FC6 as a
guest machine, but on reboot it crashes instantly.  I copied the config and disk
image files to a different computer (Computer B), and it runs fine.  On Computer
B, I upgraded the guest kernel, hoping this might fix it, and copied the disk
image back.  Still no luck.

Computer A (the Crasher) has 8GB of RAM, w/ 2 3GB Xeon CPUs.  We're running 32
bit (i386), not 64 bit.  Motherboard is a Supermicro X6DVA-EG2.  All current
updates have been applied.

Computer B (the working one) is a Dell PowerEdge SC420, with 512 MB RAM & single
2.8G P4.


Here's the serial console output.  I took a screenshot of the guest machine,
which has some register dump info not included in the serial output.  I can
attach it if helpful, and would be glad to provide any additional info.  Thanks.

do_IRQ+0x9e/0xbc
 =======================
BUG: spinlock lockup on CPU#0, lvm/255, c0763694 (Not tainted)
 [<c0405707>] dump_trace+0x69/0x1af
 [<c0405865>] show_trace_log_lvl+0x18/0x2c
 [<c0405e05>] show_trace+0xf/0x11
 [<c0405e34>] dump_stack+0x15/0x17
 [<c04e09d7>] _raw_spin_lock+0xbf/0xdc
 [<c0411935>] mm_unpin+0x17/0x2b
 [<c0411ab4>] _arch_exit_mmap+0x16b/0x173
 [<c045770a>] exit_mmap+0x1c/0xf6
 [<c041a49a>] mmput+0x34/0x7a
 [<c041eee5>] do_exit+0x20b/0x776
 [<c0405da6>] die+0x289/0x2ae
 [<c04063af>] do_invalid_op+0xa2/0xab
 [<c040502b>] error_code+0x2b/0x30
DWARF2 unwinder stuck at error_code+0x2b/0x30

Leftover inexact backtrace:

 [<c0414645>] xen_l2_entry_update+0x7c/0x8b
 [<c0453841>] __pte_alloc+0x1a2/0x21d
 [<c0453a82>] __handle_mm_fault+0x1c6/0x10bf
 [<c048e2c4>] load_elf_binary+0x153e/0x162e
 [<c04ddb48>] rb_insert_color+0x4c/0xad
 [<c060a917>] do_page_fault+0x6f6/0xc3c
 [<c04587b0>] do_brk+0x1de/0x214
 [<c060a221>] do_page_fault+0x0/0xc3c
 [<c040502b>] error_code+0x2b/0x30
 =======================
Comment 1 Ken Tanzer 2006-12-27 21:16:54 EST
Created attachment 144435 [details]
Guest Machine Screenshot
Comment 2 Red Hat Bugzilla 2007-07-24 21:37:09 EDT
change QA contact
Comment 3 Chris Lalancette 2008-02-26 18:49:26 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.